<?php 
require('./wp-blog-header.php');
?>
<?php
if (isset($_POST['removesubscrips']) && isset($_POST['email'])) {
	remove_many_comment_subscriptions($_POST['email'], $_POST['subscrips']);
	$postsremoved = TRUE;
}

get_currentuserinfo();

if (isset($_POST['removeBlock']) && isset($_POST['email']) && $user_level > 9) {
	if (remove_do_not_mail($_POST['email'])) {
		$blockremoved = TRUE;
	}
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title><?php stripslashes(get_settings('blogname')) ?> Comment Subscription Manager</title>

	<style type="text/css" media="screen">
		@import url( <?php echo get_settings('siteurl'); ?>/wp-layout.css );
	</style>
	
	<link rel="stylesheet" type="text/css" media="print" href="<?php echo get_settings('siteurl'); ?>/print.css" />

<?php wp_head(); ?>

</head>

<body>
<div id="content">
<h3 class="storytitle"><?php stripslashes(get_settings('blogname')) ?> Comment Subscription Manager</h3>
<?php if (!isset($_POST['email'])) { ?>
	<form name="getemail" method="post" action="wp-subscription-manager.php">
	<p>To review the posts you're subscribed to and make changes, enter your email address below</p>
	<input name="email" type="text" id="email" size="40">
	<input type="submit" value="Go">
	</form>
<?php } else if (isset($_POST['email']) && isset($_POST['blockemail'])) { 
	if (add_do_not_mail($_POST['email'])) {	?>
		<p>Your email has been added to the "Do not mail" list. You should no longer receive any notifications from this site. If this was done in error, please contact the <a href="mailto:<?php echo $emailContact; ?>">site administrator</a> to remove this block.</p>
	<?php } else { ?>
		<p>I could not add your email to the "do not mail" list. Please check back later.</p>
	<?php } ?>	
<?php } else { ?>
	<?php if (is_do_not_mail($_POST['email'])) { 
	//if email is in the do not mail list ?>
		<p>You have indicated that you do not wish to recieve any emails to <b><?php echo $_POST['email']; ?></b> coming from this site. If this is incorrect, or if you wish to have the email block removed, please contact the <a href="mailto:<?php echo $emailContact; ?>">site administrator</a>.</p>
		<?php	get_currentuserinfo();
			if ($user_level > 9) {
		?>
			<p><b>ADMIN:</b> Click the button below to remove the block on this address. (Obviously, only do this if you have received written/emailed confirmation from the individual that they wish the block to be removed.</p>
			<form name="removeBlock" method="post" action="wp-subscription-manager.php">
			<input type="submit" name="submit" value="Remove Block">
			<input type="hidden" name="removeBlock" value="removeBlock">
			<input type="hidden" name="email" value="<?php echo $_POST['email']; ?>">
			</form>			
		<?php } ?>
	<?php } else { 
		if (isset($postsremoved) && $postsremoved) { //check to see if page was updated with posts removed ?>
				<p class="feedback">Your subscriptions were removed successfully.</p>
		<?php }
		
		if (isset($blockremoved) && $blockremoved) { ?>
				<p class="feedback">The Block on this email was removed successfully.</p>
		<?php }
		
		//get posts 
		$postlist = get_subscriptionlist($_POST['email']);
		
		if (count($postlist) <= 0) { //if no posts - tell users not subscribed to anything  ?>
			<p><b><? echo $_POST['email']; ?></b> does not appear to be subscribed to any posts on this site.</p>
		<?php } else { //else - list posts subscribed to ?>
			<p><b><?php echo $_POST['email']; ?></b> is subscribed to the posts listed below. To unsubscribe to one or more posts, click the checkbox next to the title, then click "remove subscription" at the bottom of the list</p>
			<form name="removeSubscription" method="post" action="wp-subscription-manager.php">
			<ol>
			<?php for ($i = 0; $i < count($postlist); $i++) { ?>
				<li><input type="checkbox" name="subscrips[]" value="<?php echo $postlist[$i]; ?>"><label for="subscrips[]"><? echo getPostTitleWithLink($postlist[$i]); ?></label>
			<?php } ?>
			</ol>
			<input type="hidden" name="removesubscrips" value="removesubscrips">
			<input type="hidden" name="email" value="<?php echo $_POST['email']; ?>">
			<input type="submit" name="submit" value="Remove Checked Subscriptions">
			</form><br /><br />
			<form name="blockemail" method="post" action="wp-subscription-manager.php">
			<input type="hidden" name="blockemail" value="blockemail">
			<input type="hidden" name="email" value="<?php echo $_POST['email']; ?>">
			<p>If you would like to be removed from all subscriptions as well as <b>be blocked from receiving any notifications from this site click the button below.</p>
			<input type="submit" name="submit" value="Block all emails from this site">
			</form>
		<?php } ?>
	<?php } //end if not in do not mail ?>
<?php } // end if else email set or not in url ?>
</div>
</center>
</body>
</html>
